import { DialogService } from '@progress/kendo-angular-dialog';
import * as i0 from "@angular/core";
export declare class ConfirmService {
    private modalService;
    constructor(modalService: DialogService);
    confirm(body: string, title?: string, yesText?: string, noText?: string): Promise<boolean>;
    alert(body: string, title?: string): Promise<void>;
    prompt(title: string | undefined, fieldName: string, originalValue?: string, required?: boolean, maxlength?: number): Promise<string | null>;
    showDialog(title: string, component: any, yesProperty: string, yesText?: string, noText?: string, dialogSave?: string, additionalContent?: any): Promise<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfirmService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ConfirmService>;
}
//# sourceMappingURL=confirm.service.d.ts.map