import { ValidatorFn, AbstractControl, ValidationErrors } from '@angular/forms';
import { PaymentMethods, PaymentMethodDto } from 'cadlearning.dto';
export declare const IsValidEmail: (control: AbstractControl) => ValidationErrors | null;
export declare const IsValidPassword: (control: AbstractControl) => ValidationErrors | null;
export declare const IsValidUri: (control: AbstractControl) => ValidationErrors | null;
export declare function ReturnCardType(cardNumber: string): PaymentMethods | null;
export declare const numbersOnly: (control: AbstractControl) => any;
export declare const OrgInfoFilled: (group: AbstractControl) => ValidationErrors | null;
export declare const AreEqual: (group: AbstractControl) => ValidationErrors | null;
export declare const Range: (min: number, max: number) => ValidatorFn;
export declare const AtLeastOneChecked: (controls: string[]) => ValidatorFn;
export declare const IsTrue: (control: AbstractControl) => {
    isFalse: string;
} | null;
export declare const ConfirmEmail: (emailField: string, confirmEmailField: string) => ValidatorFn;
export declare const RoutingNumber: (control: AbstractControl) => ValidationErrors | null;
export declare const CardNumber: (paymentMethod: () => PaymentMethodDto) => ValidatorFn;
export declare const RequiredCond: (check: (value: any) => boolean) => ValidatorFn;
export declare const OtherRequiredValidator: (otherControlName: string) => ValidatorFn;
//# sourceMappingURL=validators.d.ts.map