export declare module AssessmentsV1Urls {
    const AddResource = "/V1/Assessments/AddResource";
    const RemoveResource = "/V1/Assessments/RemoveResource";
    const ListResourcesByType = "/V1/Assessments/ListResourcesByType";
    const ListResources = "/V1/Assessments/ListResources";
    const GetWorkflowStatus = "/V1/Assessments/GetWorkflowStatus";
    const UpdateWorkflowStep = "/V1/Assessments/UpdateWorkflowStep";
    const UpdateWorkflowTask = "/V1/Assessments/UpdateWorkflowTask";
    const ListAssignees = "/V1/Assessments/ListAssignees";
    const UpdateAssignees = "/V1/Assessments/UpdateAssignees";
    const ListQuestions = "/V1/Assessments/ListQuestions";
    const ListWithParents = "/V1/Assessments/ListWithParents";
    const InvitePreHireUser = "/V1/Assessments/InvitePreHireUser";
    const InvitePreHireNewUser = "/V1/Assessments/InvitePreHireNewUser";
    const InvitePreHireExistingUser = "/V1/Assessments/InvitePreHireExistingUser";
    const ListAvailableAssessmentsByCourseId = "/V1/Assessments/ListAvailableAssessmentsByCourseId";
    const AddAssessmentToCourse = "/V1/Assessments/AddAssessmentToCourse";
    const RemoveAssessmentFromCourse = "/V1/Assessments/RemoveAssessmentFromCourse";
    const GetTranslation = "/V1/Assessments/GetTranslation";
    const UpdateTranslation = "/V1/Assessments/UpdateTranslation";
    const GetAssessmentQuestionsWithParents = "/V1/Assessments/GetAssessmentQuestionsWithParents";
    const ListCourses = "/V1/Assessments/ListCourses";
    const ListBadges = "/V1/Assessments/ListBadges";
    const ListMedallions = "/V1/Assessments/ListMedallions";
    const UpdateCourses = "/V1/Assessments/UpdateCourses";
    const UpdateBadges = "/V1/Assessments/UpdateBadges";
    const UpdateMedallions = "/V1/Assessments/UpdateMedallions";
    const ListCustomAssessments = "/V1/Assessments/ListCustomAssessments";
    const RemoveAssessmentInvitation = "/V1/Assessments/RemoveAssessmentInvitation";
    const ListAssessmentDynamicItems = "/V1/Assessments/ListAssessmentDynamicItems";
    const ListAvailableAssessments = "/V1/Assessments/ListAvailableAssessments";
    const UpdateAssessmentDynamicItems = "/V1/Assessments/UpdateAssessmentDynamicItems";
    const UpdateQuestions = "/V1/Assessments/UpdateQuestions";
    const GenerateAssessmentGamification = "/V1/Assessments/GenerateAssessmentGamification";
    const GenerateAssessment = "/V1/Assessments/GenerateAssessment";
    const GenerateGapAssessment = "/V1/Assessments/GenerateGapAssessment";
    const GetQuestions = "/V1/Assessments/GetQuestions";
    const GetQuestionsByCourseId = "/V1/Assessments/GetQuestionsByCourseId";
    const GetQuestionsWithParents = "/V1/Assessments/GetQuestionsWithParents";
    const ListUserTranscript = "/V1/Assessments/ListUserTranscript";
    const ListTakenAssessments = "/V1/Assessments/ListTakenAssessments";
    const GetAssessmentResults = "/V1/Assessments/GetAssessmentResults";
    const ListAssessmentInvitations = "/V1/Assessments/ListAssessmentInvitations";
    const RecordUserAssessmentAnswer = "/V1/Assessments/RecordUserAssessmentAnswer";
    const GetUserAssessmentById = "/V1/Assessments/GetUserAssessmentById";
    const GetUserAssessment = "/V1/Assessments/GetUserAssessment";
    const DeleteUserAssessment = "/V1/Assessments/DeleteUserAssessment";
    const GetAssessmentByPlayList = "/V1/Assessments/GetAssessmentByPlayList";
    const ListByCourseId = "/V1/Assessments/ListByCourseId";
    const ListManageableCustomAssessments = "/V1/Assessments/ListManageableCustomAssessments";
    const Upsert = "/V1/Assessments/Upsert";
    const Delete = "/V1/Assessments/Delete";
    const DeleteByIds = "/V1/Assessments/DeleteByIds";
    const DeleteTranslation = "/V1/Assessments/DeleteTranslation";
    const GetQuestionOfTheDayAssessment = "/V1/Assessments/GetQuestionOfTheDayAssessment";
    const RecordQuestionOfTheDayAnswer = "/V1/Assessments/RecordQuestionOfTheDayAnswer";
    const Get = "/V1/Assessments/Get";
    const List = "/V1/Assessments/List";
}
export declare module BadgesV1Urls {
    const Get = "/V1/Badges/Get";
    const Upsert = "/V1/Badges/Upsert";
    const RecalculateEarnedBadge = "/V1/Badges/RecalculateEarnedBadge";
    const ListBadgesByMedallion = "/V1/Badges/ListBadgesByMedallion";
    const ListLessons = "/V1/Badges/ListLessons";
    const UpdateLessons = "/V1/Badges/UpdateLessons";
    const AddImageResource = "/V1/Badges/AddImageResource";
    const RemoveImageResource = "/V1/Badges/RemoveImageResource";
    const DownloadImage = "/V1/Badges/DownloadImage";
    const GetAchievementAssessment = "/V1/Badges/GetAchievementAssessment";
    const GetLearningPath = "/V1/Badges/GetLearningPath";
    const GetTranslations = "/V1/Badges/GetTranslations";
    const GetTranslation = "/V1/Badges/GetTranslation";
    const UpdateTranslation = "/V1/Badges/UpdateTranslation";
    const DeleteTranslation = "/V1/Badges/DeleteTranslation";
    const ListSyndicationProviders = "/V1/Badges/ListSyndicationProviders";
    const UpdateSyndicationProviders = "/V1/Badges/UpdateSyndicationProviders";
    const ListHeaderLessons = "/V1/Badges/ListHeaderLessons";
    const UpdateHeaderLessons = "/V1/Badges/UpdateHeaderLessons";
    const ListAvailableLessons = "/V1/Badges/ListAvailableLessons";
    const Delete = "/V1/Badges/Delete";
    const DeleteByIds = "/V1/Badges/DeleteByIds";
    const ListGroups = "/V1/Badges/ListGroups";
    const UpdateGroups = "/V1/Badges/UpdateGroups";
    const CopyBadgeToOrganization = "/V1/Badges/CopyBadgeToOrganization";
    const List = "/V1/Badges/List";
}
export declare module BotV1Urls {
    const GetConversation = "/V1/Bot/GetConversation";
    const List = "/V1/Bot/List";
    const Complete = "/V1/Bot/Complete";
    const Add = "/V1/Bot/Add";
}
export declare module CampaignDripsV1Urls {
    const UpdateOverrideDrip = "/V1/CampaignDrips/UpdateOverrideDrip";
    const List = "/V1/CampaignDrips/List";
    const Get = "/V1/CampaignDrips/Get";
    const SendTest = "/V1/CampaignDrips/SendTest";
    const Upsert = "/V1/CampaignDrips/Upsert";
    const Delete = "/V1/CampaignDrips/Delete";
    const DeleteByIds = "/V1/CampaignDrips/DeleteByIds";
}
export declare module CampaignsV1Urls {
    const ListSubscriptions = "/V1/Campaigns/ListSubscriptions";
    const UpdateSubscriptions = "/V1/Campaigns/UpdateSubscriptions";
    const Get = "/V1/Campaigns/Get";
    const List = "/V1/Campaigns/List";
    const Upsert = "/V1/Campaigns/Upsert";
    const Delete = "/V1/Campaigns/Delete";
    const DeleteByIds = "/V1/Campaigns/DeleteByIds";
}
export declare module CoursesV1Urls {
    const AddResource = "/V1/Courses/AddResource";
    const RemoveResource = "/V1/Courses/RemoveResource";
    const ListResourcesByType = "/V1/Courses/ListResourcesByType";
    const ListResources = "/V1/Courses/ListResources";
    const SetEditingStatus = "/V1/Courses/SetEditingStatus";
    const GetWorkflowStatus = "/V1/Courses/GetWorkflowStatus";
    const UpdateWorkflowStep = "/V1/Courses/UpdateWorkflowStep";
    const UpdateWorkflowTask = "/V1/Courses/UpdateWorkflowTask";
    const ListAssignees = "/V1/Courses/ListAssignees";
    const UpdateAssignees = "/V1/Courses/UpdateAssignees";
    const ListItemsByCourseId = "/V1/Courses/ListItemsByCourseId";
    const GetWithUserInfo = "/V1/Courses/GetWithUserInfo";
    const UpdateTranslation = "/V1/Courses/UpdateTranslation";
    const DeleteTranslation = "/V1/Courses/DeleteTranslation";
    const ListLessonQuestions = "/V1/Courses/ListLessonQuestions";
    const EditVersionPlan = "/V1/Courses/EditVersionPlan";
    const CreateCourse = "/V1/Courses/CreateCourse";
    const ImportCourse = "/V1/Courses/ImportCourse";
    const DeactivateCourse = "/V1/Courses/DeactivateCourse";
    const ListLessonsByCourse = "/V1/Courses/ListLessonsByCourse";
    const ListLessonsByCourseAndVersion = "/V1/Courses/ListLessonsByCourseAndVersion";
    const EditIntroduction = "/V1/Courses/EditIntroduction";
    const EditConclusion = "/V1/Courses/EditConclusion";
    const GetAdmin = "/V1/Courses/GetAdmin";
    const CreateTopic = "/V1/Courses/CreateTopic";
    const CreateLesson = "/V1/Courses/CreateLesson";
    const ListTopicsWithSyndicatedContent = "/V1/Courses/ListTopicsWithSyndicatedContent";
    const ListSyndications = "/V1/Courses/ListSyndications";
    const UpdateSyndications = "/V1/Courses/UpdateSyndications";
    const ListSyndicationProviders = "/V1/Courses/ListSyndicationProviders";
    const UpdateSyndicationProviders = "/V1/Courses/UpdateSyndicationProviders";
    const GetCourseFeed = "/V1/Courses/GetCourseFeed";
    const UpdateCoursePath = "/V1/Courses/UpdateCoursePath";
    const GetCoursePaths = "/V1/Courses/GetCoursePaths";
    const UpdateOrganizations = "/V1/Courses/UpdateOrganizations";
    const UpsertPublicVideos = "/V1/Courses/UpsertPublicVideos";
    const ListOrganizations = "/V1/Courses/ListOrganizations";
    const UpdateProductVersions = "/V1/Courses/UpdateProductVersions";
    const ListProductVersions = "/V1/Courses/ListProductVersions";
    const CreateCustomCourse = "/V1/Courses/CreateCustomCourse";
    const ListCoursesByProductId = "/V1/Courses/ListCoursesByProductId";
    const ListCoursesByProducts = "/V1/Courses/ListCoursesByProducts";
    const GetWithTranslation = "/V1/Courses/GetWithTranslation";
    const GetStructureWithUserInfo = "/V1/Courses/GetStructureWithUserInfo";
    const GetStructurePublic = "/V1/Courses/GetStructurePublic";
    const ListCustomCourses = "/V1/Courses/ListCustomCourses";
    const GetStructureForEditing = "/V1/Courses/GetStructureForEditing";
    const UpdateCustomCourseStructure = "/V1/Courses/UpdateCustomCourseStructure";
    const GetSCORMPackage = "/V1/Courses/GetSCORMPackage";
    const ListManageableCustomCourses = "/V1/Courses/ListManageableCustomCourses";
    const Upsert = "/V1/Courses/Upsert";
    const Delete = "/V1/Courses/Delete";
    const DeleteByIds = "/V1/Courses/DeleteByIds";
    const ListCoursesByOwner = "/V1/Courses/ListCoursesByOwner";
    const ListCoursesByExternalPartner = "/V1/Courses/ListCoursesByExternalPartner";
    const CourseForHireDashboard = "/V1/Courses/CourseForHireDashboard";
    const PublishCourse = "/V1/Courses/PublishCourse";
    const ListProjectManagementTasks = "/V1/Courses/ListProjectManagementTasks";
    const EditRawAssets = "/V1/Courses/EditRawAssets";
    const ListGroups = "/V1/Courses/ListGroups";
    const UpdateGroups = "/V1/Courses/UpdateGroups";
    const Get = "/V1/Courses/Get";
    const List = "/V1/Courses/List";
}
export declare module DisciplinesV1Urls {
    const AdminList = "/V1/Disciplines/AdminList";
    const RecalculateEarnedDiscipline = "/V1/Disciplines/RecalculateEarnedDiscipline";
    const Delete = "/V1/Disciplines/Delete";
    const DeleteByIds = "/V1/Disciplines/DeleteByIds";
    const Get = "/V1/Disciplines/Get";
    const GetOwned = "/V1/Disciplines/GetOwned";
    const ListOwned = "/V1/Disciplines/ListOwned";
    const Upsert = "/V1/Disciplines/Upsert";
    const ListWithDisplayImages = "/V1/Disciplines/ListWithDisplayImages";
    const ListWithProducts = "/V1/Disciplines/ListWithProducts";
    const ListWithProductsByIndustry = "/V1/Disciplines/ListWithProductsByIndustry";
    const ListMedallions = "/V1/Disciplines/ListMedallions";
    const UpdateMedallions = "/V1/Disciplines/UpdateMedallions";
    const ListIndustries = "/V1/Disciplines/ListIndustries";
    const UpdateIndustries = "/V1/Disciplines/UpdateIndustries";
    const ListOrganizations = "/V1/Disciplines/ListOrganizations";
    const UpdateOrganizations = "/V1/Disciplines/UpdateOrganizations";
    const DownloadImage = "/V1/Disciplines/DownloadImage";
    const AddImageResource = "/V1/Disciplines/AddImageResource";
    const RemoveImageResource = "/V1/Disciplines/RemoveImageResource";
    const ListProducts = "/V1/Disciplines/ListProducts";
    const UpdateProducts = "/V1/Disciplines/UpdateProducts";
    const GetAchievementAssessment = "/V1/Disciplines/GetAchievementAssessment";
    const GetLearningPath = "/V1/Disciplines/GetLearningPath";
    const GetCertificateInfo = "/V1/Disciplines/GetCertificateInfo";
    const UpsertPublicVideos = "/V1/Disciplines/UpsertPublicVideos";
    const GetTranslations = "/V1/Disciplines/GetTranslations";
    const GetTranslation = "/V1/Disciplines/GetTranslation";
    const UpdateTranslation = "/V1/Disciplines/UpdateTranslation";
    const DeleteTranslation = "/V1/Disciplines/DeleteTranslation";
    const ListSyndicationProviders = "/V1/Disciplines/ListSyndicationProviders";
    const UpdateSyndicationProviders = "/V1/Disciplines/UpdateSyndicationProviders";
    const ListHeaderLessons = "/V1/Disciplines/ListHeaderLessons";
    const UpdateHeaderLessons = "/V1/Disciplines/UpdateHeaderLessons";
    const ListAvailableLessons = "/V1/Disciplines/ListAvailableLessons";
    const ListDisciplinesByProductVersion = "/V1/Disciplines/ListDisciplinesByProductVersion";
    const GetDisciplineStructureForEditing = "/V1/Disciplines/GetDisciplineStructureForEditing";
    const SaveDisciplineStructure = "/V1/Disciplines/SaveDisciplineStructure";
    const ListGroups = "/V1/Disciplines/ListGroups";
    const UpdateGroups = "/V1/Disciplines/UpdateGroups";
    const List = "/V1/Disciplines/List";
}
export declare module DocumentsV1Urls {
    const ListByCategory = "/V1/Documents/ListByCategory";
    const ListDocumentCategories = "/V1/Documents/ListDocumentCategories";
    const InsertOrUpdateDocumentCategory = "/V1/Documents/InsertOrUpdateDocumentCategory";
    const UpdateDocumentCategories = "/V1/Documents/UpdateDocumentCategories";
    const GetDocumentCategory = "/V1/Documents/GetDocumentCategory";
    const DeleteDocumentCategory = "/V1/Documents/DeleteDocumentCategory";
    const ListDocumentLinks = "/V1/Documents/ListDocumentLinks";
    const UpdateDocumentLinks = "/V1/Documents/UpdateDocumentLinks";
    const UploadDocument = "/V1/Documents/UploadDocument";
    const DownloadDocument = "/V1/Documents/DownloadDocument";
    const ListDocumentsByOrganization = "/V1/Documents/ListDocumentsByOrganization";
    const Upsert = "/V1/Documents/Upsert";
    const Delete = "/V1/Documents/Delete";
    const DeleteByIds = "/V1/Documents/DeleteByIds";
    const Get = "/V1/Documents/Get";
    const List = "/V1/Documents/List";
}
export declare module DomainsV1Urls {
    const UpdateAuthMethods = "/V1/Domains/UpdateAuthMethods";
    const DeleteByIds = "/V1/Domains/DeleteByIds";
    const UploadStyleSheet = "/V1/Domains/UploadStyleSheet";
    const GetStyleSheet = "/V1/Domains/GetStyleSheet";
    const GetDomainByEmailAddress = "/V1/Domains/GetDomainByEmailAddress";
    const GetDomainWithAuthMethodsByUrl = "/V1/Domains/GetDomainWithAuthMethodsByUrl";
    const ListAuthMethodsByDomainId = "/V1/Domains/ListAuthMethodsByDomainId";
    const ListAuthMethodsByDomainIdAdmin = "/V1/Domains/ListAuthMethodsByDomainIdAdmin";
    const Get = "/V1/Domains/Get";
    const List = "/V1/Domains/List";
    const Upsert = "/V1/Domains/Upsert";
    const Delete = "/V1/Domains/Delete";
}
export declare module EntitlementsV1Urls {
    const Upsert = "/V1/Entitlements/Upsert";
    const ListPaymentHistory = "/V1/Entitlements/ListPaymentHistory";
    const ListOrgToolSubscriptionsByOrganizationId = "/V1/Entitlements/ListOrgToolSubscriptionsByOrganizationId";
    const RenewSubscription = "/V1/Entitlements/RenewSubscription";
    const RenewPartnerSubscription = "/V1/Entitlements/RenewPartnerSubscription";
    const PurchaseSubscription = "/V1/Entitlements/PurchaseSubscription";
    const ListByUserId = "/V1/Entitlements/ListByUserId";
    const ListByOrganizationId = "/V1/Entitlements/ListByOrganizationId";
    const CancelEntitlement = "/V1/Entitlements/CancelEntitlement";
    const UpdateEntitlementPaymentDetails = "/V1/Entitlements/UpdateEntitlementPaymentDetails";
    const UpdateOrganizationEntitlementUsers = "/V1/Entitlements/UpdateOrganizationEntitlementUsers";
    const BulkCreateEntitlements = "/V1/Entitlements/BulkCreateEntitlements";
    const Get = "/V1/Entitlements/Get";
    const List = "/V1/Entitlements/List";
    const DeleteByIds = "/V1/Entitlements/DeleteByIds";
    const Delete = "/V1/Entitlements/Delete";
}
export declare module IndustriesV1Urls {
    const Get = "/V1/Industries/Get";
    const Upsert = "/V1/Industries/Upsert";
    const Delete = "/V1/Industries/Delete";
    const DeleteByIds = "/V1/Industries/DeleteByIds";
    const List = "/V1/Industries/List";
}
export declare module InventoryV1Urls {
    const UpdateItems = "/V1/Inventory/UpdateItems";
    const GetBySku = "/V1/Inventory/GetBySku";
    const ListItems = "/V1/Inventory/ListItems";
    const GetWithPriceBySku = "/V1/Inventory/GetWithPriceBySku";
    const ListWebProducts = "/V1/Inventory/ListWebProducts";
    const ListWebSkusByCourse = "/V1/Inventory/ListWebSkusByCourse";
    const Upsert = "/V1/Inventory/Upsert";
    const Delete = "/V1/Inventory/Delete";
    const DeleteByIds = "/V1/Inventory/DeleteByIds";
    const Get = "/V1/Inventory/Get";
    const List = "/V1/Inventory/List";
}
export declare module InvoicesV1Urls {
    const RequestSalesTaxes = "/V1/Invoices/RequestSalesTaxes";
    const CalculateTaxes = "/V1/Invoices/CalculateTaxes";
    const CopyQuote = "/V1/Invoices/CopyQuote";
    const VoidPayment = "/V1/Invoices/VoidPayment";
    const ShipInvoice = "/V1/Invoices/ShipInvoice";
    const UnlockInvoice = "/V1/Invoices/UnlockInvoice";
    const LockInvoiceForPayment = "/V1/Invoices/LockInvoiceForPayment";
    const CompleteInvoice = "/V1/Invoices/CompleteInvoice";
    const PostPaymentToInvoice = "/V1/Invoices/PostPaymentToInvoice";
    const ListStoredPaymentCredentials = "/V1/Invoices/ListStoredPaymentCredentials";
    const ListQuotesByOrganization = "/V1/Invoices/ListQuotesByOrganization";
    const ListBillsByOrganizationId = "/V1/Invoices/ListBillsByOrganizationId";
    const ListByUserId = "/V1/Invoices/ListByUserId";
    const ListRfqsByDeal = "/V1/Invoices/ListRfqsByDeal";
    const ListByOrganizationId = "/V1/Invoices/ListByOrganizationId";
    const AcceptQuote = "/V1/Invoices/AcceptQuote";
    const RejectQuote = "/V1/Invoices/RejectQuote";
    const ListForDisplay = "/V1/Invoices/ListForDisplay";
    const GetForDisplay = "/V1/Invoices/GetForDisplay";
    const SubmitQuote = "/V1/Invoices/SubmitQuote";
    const UpdateInventory = "/V1/Invoices/UpdateInventory";
    const ListQuotesByRFQ = "/V1/Invoices/ListQuotesByRFQ";
    const GetInventoryItemPrice = "/V1/Invoices/GetInventoryItemPrice";
    const DisputeInvoice = "/V1/Invoices/DisputeInvoice";
    const ListInventory = "/V1/Invoices/ListInventory";
    const ListPayments = "/V1/Invoices/ListPayments";
    const Upsert = "/V1/Invoices/Upsert";
    const Delete = "/V1/Invoices/Delete";
    const DeleteByIds = "/V1/Invoices/DeleteByIds";
    const Get = "/V1/Invoices/Get";
    const List = "/V1/Invoices/List";
}
export declare module JobsV1Urls {
    const Get = "/V1/Jobs/Get";
    const ListAvailableProductsAndVersions = "/V1/Jobs/ListAvailableProductsAndVersions";
    const Upsert = "/V1/Jobs/Upsert";
    const GetLearningPath = "/V1/Jobs/GetLearningPath";
    const ListJobsWithDisciplineIds = "/V1/Jobs/ListJobsWithDisciplineIds";
    const ListJobsWithProducts = "/V1/Jobs/ListJobsWithProducts";
    const ListProducts = "/V1/Jobs/ListProducts";
    const UpdateProducts = "/V1/Jobs/UpdateProducts";
    const ListIndustries = "/V1/Jobs/ListIndustries";
    const UpdateIndustries = "/V1/Jobs/UpdateIndustries";
    const ListOrganizations = "/V1/Jobs/ListOrganizations";
    const UpdateOrganizations = "/V1/Jobs/UpdateOrganizations";
    const Delete = "/V1/Jobs/Delete";
    const DeleteByIds = "/V1/Jobs/DeleteByIds";
    const AdminList = "/V1/Jobs/AdminList";
    const ListDisciplines = "/V1/Jobs/ListDisciplines";
    const UpdateDisciplines = "/V1/Jobs/UpdateDisciplines";
    const UpsertPublicVideos = "/V1/Jobs/UpsertPublicVideos";
    const RecalculateEarnedJob = "/V1/Jobs/RecalculateEarnedJob";
    const AddImageResource = "/V1/Jobs/AddImageResource";
    const RemoveImageResource = "/V1/Jobs/RemoveImageResource";
    const DownloadImage = "/V1/Jobs/DownloadImage";
    const GetAchievementAssessment = "/V1/Jobs/GetAchievementAssessment";
    const GetTranslations = "/V1/Jobs/GetTranslations";
    const GetTranslation = "/V1/Jobs/GetTranslation";
    const UpdateTranslation = "/V1/Jobs/UpdateTranslation";
    const DeleteTranslation = "/V1/Jobs/DeleteTranslation";
    const ListSyndicationProviders = "/V1/Jobs/ListSyndicationProviders";
    const UpdateSyndicationProviders = "/V1/Jobs/UpdateSyndicationProviders";
    const ListHeaderLessons = "/V1/Jobs/ListHeaderLessons";
    const UpdateHeaderLessons = "/V1/Jobs/UpdateHeaderLessons";
    const ListAvailableLessons = "/V1/Jobs/ListAvailableLessons";
    const ListGroups = "/V1/Jobs/ListGroups";
    const UpdateGroups = "/V1/Jobs/UpdateGroups";
    const List = "/V1/Jobs/List";
}
export declare module LessonsV1Urls {
    const ListProjectManagementTasks = "/V1/Lessons/ListProjectManagementTasks";
    const CompleteLessonProjectManagementDependencies = "/V1/Lessons/CompleteLessonProjectManagementDependencies";
    const JiraCompleteLessonCommands = "/V1/Lessons/JiraCompleteLessonCommands";
    const JiraCompleteLessonQuestions = "/V1/Lessons/JiraCompleteLessonQuestions";
    const JiraCompleteLessonResources = "/V1/Lessons/JiraCompleteLessonResources";
    const SearchProjectManagementIssues = "/V1/Lessons/SearchProjectManagementIssues";
    const AddResource = "/V1/Lessons/AddResource";
    const RemoveResource = "/V1/Lessons/RemoveResource";
    const ListResourcesByType = "/V1/Lessons/ListResourcesByType";
    const ListResources = "/V1/Lessons/ListResources";
    const UpdateWorkflowStep = "/V1/Lessons/UpdateWorkflowStep";
    const ApproveWorkflowStep = "/V1/Lessons/ApproveWorkflowStep";
    const RejectWorkflowStep = "/V1/Lessons/RejectWorkflowStep";
    const GetWorkflowStatus = "/V1/Lessons/GetWorkflowStatus";
    const UpdateWorkflowTask = "/V1/Lessons/UpdateWorkflowTask";
    const ListAssignees = "/V1/Lessons/ListAssignees";
    const UpdateAssignees = "/V1/Lessons/UpdateAssignees";
    const SetCurrentUserRating = "/V1/Lessons/SetCurrentUserRating";
    const Get = "/V1/Lessons/Get";
    const GetLessonScript = "/V1/Lessons/GetLessonScript";
    const GetNextAndPreviousLessons = "/V1/Lessons/GetNextAndPreviousLessons";
    const GetNextAndPreviousLessonsByGoal = "/V1/Lessons/GetNextAndPreviousLessonsByGoal";
    const GetNextAndPreviousLessonsByPlaylist = "/V1/Lessons/GetNextAndPreviousLessonsByPlaylist";
    const GetLessonCoursesList = "/V1/Lessons/GetLessonCoursesList";
    const ForceReloadBody = "/V1/Lessons/ForceReloadBody";
    const EditBody = "/V1/Lessons/EditBody";
    const EditRawAssets = "/V1/Lessons/EditRawAssets";
    const GetRawAssetFiles = "/V1/Lessons/GetRawAssetFiles";
    const GetPossibleLessonVersions = "/V1/Lessons/GetPossibleLessonVersions";
    const ListLabels = "/V1/Lessons/ListLabels";
    const ListAllLabels = "/V1/Lessons/ListAllLabels";
    const UpdateLabels = "/V1/Lessons/UpdateLabels";
    const ListDependencies = "/V1/Lessons/ListDependencies";
    const UpdateDependencies = "/V1/Lessons/UpdateDependencies";
    const RemoveFromProduction = "/V1/Lessons/RemoveFromProduction";
    const GetAdmin = "/V1/Lessons/GetAdmin";
    const GetTranslations = "/V1/Lessons/GetTranslations";
    const GetTranslation = "/V1/Lessons/GetTranslation";
    const UpdateTranslation = "/V1/Lessons/UpdateTranslation";
    const DeleteTranslation = "/V1/Lessons/DeleteTranslation";
    const CopyLesson = "/V1/Lessons/CopyLesson";
    const ListLessonsWithCourses = "/V1/Lessons/ListLessonsWithCourses";
    const ListSyndications = "/V1/Lessons/ListSyndications";
    const UpdateSyndications = "/V1/Lessons/UpdateSyndications";
    const ListSyndicationProviders = "/V1/Lessons/ListSyndicationProviders";
    const UpdateSyndicationProviders = "/V1/Lessons/UpdateSyndicationProviders";
    const UpsertPublicVideos = "/V1/Lessons/UpsertPublicVideos";
    const ListLessonsWithCoursesForAssessment = "/V1/Lessons/ListLessonsWithCoursesForAssessment";
    const ListProductVersions = "/V1/Lessons/ListProductVersions";
    const CreateCustomLesson = "/V1/Lessons/CreateCustomLesson";
    const UpdateProductVersions = "/V1/Lessons/UpdateProductVersions";
    const ListCommands = "/V1/Lessons/ListCommands";
    const ListPossibleLessonCommands = "/V1/Lessons/ListPossibleLessonCommands";
    const UpdateCommands = "/V1/Lessons/UpdateCommands";
    const LogLessonView = "/V1/Lessons/LogLessonView";
    const GetPromoVideoUri = "/V1/Lessons/GetPromoVideoUri";
    const GetLessonVideos = "/V1/Lessons/GetLessonVideos";
    const GetOrganizationNote = "/V1/Lessons/GetOrganizationNote";
    const UpdateOrganizationNotes = "/V1/Lessons/UpdateOrganizationNotes";
    const GetLessonDetailsWithUserInfo = "/V1/Lessons/GetLessonDetailsWithUserInfo";
    const GetLessonPublicDetails = "/V1/Lessons/GetLessonPublicDetails";
    const GetLessonWorkflows = "/V1/Lessons/GetLessonWorkflows";
    const SaveLessonOverrideThumbnail = "/V1/Lessons/SaveLessonOverrideThumbnail";
    const PublishLesson = "/V1/Lessons/PublishLesson";
    const GetPublicationStatus = "/V1/Lessons/GetPublicationStatus";
    const ListBadges = "/V1/Lessons/ListBadges";
    const ListMedallions = "/V1/Lessons/ListMedallions";
    const ListDisciplines = "/V1/Lessons/ListDisciplines";
    const ListJobs = "/V1/Lessons/ListJobs";
    const ViewedInProduction = "/V1/Lessons/ViewedInProduction";
    const Upsert = "/V1/Lessons/Upsert";
    const Delete = "/V1/Lessons/Delete";
    const DeleteByIds = "/V1/Lessons/DeleteByIds";
    const List = "/V1/Lessons/List";
}
export declare module MedallionsV1Urls {
    const Delete = "/V1/Medallions/Delete";
    const DeleteByIds = "/V1/Medallions/DeleteByIds";
    const Get = "/V1/Medallions/Get";
    const Upsert = "/V1/Medallions/Upsert";
    const ListBadges = "/V1/Medallions/ListBadges";
    const UpdateBadges = "/V1/Medallions/UpdateBadges";
    const RecalculateEarnedMedallion = "/V1/Medallions/RecalculateEarnedMedallion";
    const AddImageResource = "/V1/Medallions/AddImageResource";
    const RemoveImageResource = "/V1/Medallions/RemoveImageResource";
    const DownloadImage = "/V1/Medallions/DownloadImage";
    const GetAchievementAssessment = "/V1/Medallions/GetAchievementAssessment";
    const GetLearningPath = "/V1/Medallions/GetLearningPath";
    const GetTranslations = "/V1/Medallions/GetTranslations";
    const GetTranslation = "/V1/Medallions/GetTranslation";
    const UpdateTranslation = "/V1/Medallions/UpdateTranslation";
    const DeleteTranslation = "/V1/Medallions/DeleteTranslation";
    const ListSyndicationProviders = "/V1/Medallions/ListSyndicationProviders";
    const UpdateSyndicationProviders = "/V1/Medallions/UpdateSyndicationProviders";
    const ListHeaderLessons = "/V1/Medallions/ListHeaderLessons";
    const UpdateHeaderLessons = "/V1/Medallions/UpdateHeaderLessons";
    const ListAvailableLessons = "/V1/Medallions/ListAvailableLessons";
    const ListGroups = "/V1/Medallions/ListGroups";
    const UpdateGroups = "/V1/Medallions/UpdateGroups";
    const CopyMedallionToOrganization = "/V1/Medallions/CopyMedallionToOrganization";
    const List = "/V1/Medallions/List";
}
export declare module OrganizationsV1Urls {
    const AddIndividualSubscriptionToPartner = "/V1/Organizations/AddIndividualSubscriptionToPartner";
    const AddSubscriptionToPartnerOrganization = "/V1/Organizations/AddSubscriptionToPartnerOrganization";
    const EnterpriseRequestInformation = "/V1/Organizations/EnterpriseRequestInformation";
    const AddSubscriptionToOrganization = "/V1/Organizations/AddSubscriptionToOrganization";
    const CompleteInvite = "/V1/Organizations/CompleteInvite";
    const CompletePartnerSubscription = "/V1/Organizations/CompletePartnerSubscription";
    const CompletePartnerSmbSubscription = "/V1/Organizations/CompletePartnerSmbSubscription";
    const GetOrganizationUser = "/V1/Organizations/GetOrganizationUser";
    const CanOrganizationSellResale = "/V1/Organizations/CanOrganizationSellResale";
    const ListOrganizationUserJobs = "/V1/Organizations/ListOrganizationUserJobs";
    const UpdateOrganizationUserJobs = "/V1/Organizations/UpdateOrganizationUserJobs";
    const UpdateOrganizationUser = "/V1/Organizations/UpdateOrganizationUser";
    const DeleteOrganizationUser = "/V1/Organizations/DeleteOrganizationUser";
    const GetXApiCredentials = "/V1/Organizations/GetXApiCredentials";
    const UpdateXApiCredentials = "/V1/Organizations/UpdateXApiCredentials";
    const ListEmailDomains = "/V1/Organizations/ListEmailDomains";
    const UpdateEmailDomains = "/V1/Organizations/UpdateEmailDomains";
    const AdminUpsert = "/V1/Organizations/AdminUpsert";
    const AdminList = "/V1/Organizations/AdminList";
    const AssignRolesToUser = "/V1/Organizations/AssignRolesToUser";
    const ListUserRoles = "/V1/Organizations/ListUserRoles";
    const Broadcast = "/V1/Organizations/Broadcast";
    const GetOrganizationMessages = "/V1/Organizations/GetOrganizationMessages";
    const GetMessages = "/V1/Organizations/GetMessages";
    const UpdateMessages = "/V1/Organizations/UpdateMessages";
    const ListUserGroupCourses = "/V1/Organizations/ListUserGroupCourses";
    const UpdateOrganizationGroupCourses = "/V1/Organizations/UpdateOrganizationGroupCourses";
    const InviteUser = "/V1/Organizations/InviteUser";
    const GetOrganizationContentCreationCapabilities = "/V1/Organizations/GetOrganizationContentCreationCapabilities";
    const ListCustomers = "/V1/Organizations/ListCustomers";
    const ListOrganizationUsers = "/V1/Organizations/ListOrganizationUsers";
    const PartnerHasResaleSku = "/V1/Organizations/PartnerHasResaleSku";
    const IsSmb = "/V1/Organizations/IsSmb";
    const IsEduOrganization = "/V1/Organizations/IsEduOrganization";
    const IsPartnerOrganization = "/V1/Organizations/IsPartnerOrganization";
    const ListExpiringEntitlements = "/V1/Organizations/ListExpiringEntitlements";
    const GetEmailTemplate = "/V1/Organizations/GetEmailTemplate";
    const UpdateEmailTemplates = "/V1/Organizations/UpdateEmailTemplates";
    const UpdatePartnerProspect = "/V1/Organizations/UpdatePartnerProspect";
    const UpdatePartnerProspects = "/V1/Organizations/UpdatePartnerProspects";
    const ListPartnerProspects = "/V1/Organizations/ListPartnerProspects";
    const ListProspectContacts = "/V1/Organizations/ListProspectContacts";
    const ListPartnerOrganizations = "/V1/Organizations/ListPartnerOrganizations";
    const ListUserFields = "/V1/Organizations/ListUserFields";
    const ListPaymentCredentials = "/V1/Organizations/ListPaymentCredentials";
    const AdminGet = "/V1/Organizations/AdminGet";
    const ListPermissionRequests = "/V1/Organizations/ListPermissionRequests";
    const ListPermissions = "/V1/Organizations/ListPermissions";
    const PermissionRequestSearch = "/V1/Organizations/PermissionRequestSearch";
    const AcceptPermissionRequest = "/V1/Organizations/AcceptPermissionRequest";
    const UpdatePermission = "/V1/Organizations/UpdatePermission";
    const DenyPermissionRequest = "/V1/Organizations/DenyPermissionRequest";
    const RevokePermission = "/V1/Organizations/RevokePermission";
    const CreatePermissionRequest = "/V1/Organizations/CreatePermissionRequest";
    const HasEntitlementSku = "/V1/Organizations/HasEntitlementSku";
    const HasUnusedEntitlements = "/V1/Organizations/HasUnusedEntitlements";
    const GetOrganizationFeatures = "/V1/Organizations/GetOrganizationFeatures";
    const ListAddresses = "/V1/Organizations/ListAddresses";
    const UpdateAddresses = "/V1/Organizations/UpdateAddresses";
    const ListGroups = "/V1/Organizations/ListGroups";
    const UpdateGroups = "/V1/Organizations/UpdateGroups";
    const Get = "/V1/Organizations/Get";
    const List = "/V1/Organizations/List";
    const Upsert = "/V1/Organizations/Upsert";
    const Delete = "/V1/Organizations/Delete";
    const DeleteByIds = "/V1/Organizations/DeleteByIds";
    const RunSmbRollup = "/V1/Organizations/RunSmbRollup";
    const ListUserGroupsByUser = "/V1/Organizations/ListUserGroupsByUser";
    const UpdateUserGroupsByUser = "/V1/Organizations/UpdateUserGroupsByUser";
    const GetPartnerOrganizationGroups = "/V1/Organizations/GetPartnerOrganizationGroups";
    const UploadPartnerUsers = "/V1/Organizations/UploadPartnerUsers";
    const ListCoursesWithSyndicatedContent = "/V1/Organizations/ListCoursesWithSyndicatedContent";
    const GetOrganizationContentOptions = "/V1/Organizations/GetOrganizationContentOptions";
    const GetPublicOrganizationInfo = "/V1/Organizations/GetPublicOrganizationInfo";
    const GetCurrentPriceList = "/V1/Organizations/GetCurrentPriceList";
}
export declare module PaymentMethodsV1Urls {
    const List = "/V1/PaymentMethods/List";
    const Upsert = "/V1/PaymentMethods/Upsert";
    const ListStoredPaymentCredentials = "/V1/PaymentMethods/ListStoredPaymentCredentials";
    const GetStoredPaymentCredential = "/V1/PaymentMethods/GetStoredPaymentCredential";
    const UpdateCreditCardPaymentCredentials = "/V1/PaymentMethods/UpdateCreditCardPaymentCredentials";
    const InsertOrUpdatePaymentCredential = "/V1/PaymentMethods/InsertOrUpdatePaymentCredential";
    const DeletePaymentCredential = "/V1/PaymentMethods/DeletePaymentCredential";
    const Get = "/V1/PaymentMethods/Get";
    const DeleteByIds = "/V1/PaymentMethods/DeleteByIds";
    const Delete = "/V1/PaymentMethods/Delete";
}
export declare module PaymentProvidersV1Urls {
    const ListImplementations = "/V1/PaymentProviders/ListImplementations";
    const UpdateImplementations = "/V1/PaymentProviders/UpdateImplementations";
    const Get = "/V1/PaymentProviders/Get";
    const List = "/V1/PaymentProviders/List";
    const Upsert = "/V1/PaymentProviders/Upsert";
    const DeleteByIds = "/V1/PaymentProviders/DeleteByIds";
    const Delete = "/V1/PaymentProviders/Delete";
}
export declare module PlatformV1Urls {
    const ListReports = "/V1/Platform/ListReports";
    const GetReport = "/V1/Platform/GetReport";
    const UpsertReport = "/V1/Platform/UpsertReport";
    const DeleteReport = "/V1/Platform/DeleteReport";
}
export declare module PlaylistsV1Urls {
    const Get = "/V1/Playlists/Get";
    const Upsert = "/V1/Playlists/Upsert";
    const UpsertWithContent = "/V1/Playlists/UpsertWithContent";
    const ListPlaylistByUser = "/V1/Playlists/ListPlaylistByUser";
    const ListPlayListUsers = "/V1/Playlists/ListPlayListUsers";
    const DeletePlayListUser = "/V1/Playlists/DeletePlayListUser";
    const ListPlayListsByOwningOrganization = "/V1/Playlists/ListPlayListsByOwningOrganization";
    const GenerateGapLessons = "/V1/Playlists/GenerateGapLessons";
    const InviteEmailAddressesToPlayList = "/V1/Playlists/InviteEmailAddressesToPlayList";
    const InviteUsersByGroups = "/V1/Playlists/InviteUsersByGroups";
    const InviteUsersToPlayList = "/V1/Playlists/InviteUsersToPlayList";
    const ListSyndicationProviders = "/V1/Playlists/ListSyndicationProviders";
    const UpdateSyndicationProviders = "/V1/Playlists/UpdateSyndicationProviders";
    const ListHeaderLessons = "/V1/Playlists/ListHeaderLessons";
    const UpdateHeaderLessons = "/V1/Playlists/UpdateHeaderLessons";
    const ListAvailableLessons = "/V1/Playlists/ListAvailableLessons";
    const List = "/V1/Playlists/List";
    const DeleteByIds = "/V1/Playlists/DeleteByIds";
    const Delete = "/V1/Playlists/Delete";
}
export declare module PreferencesV1Urls {
    const GetDefaultGridLayout = "/V1/Preferences/GetDefaultGridLayout";
    const ListGridLayouts = "/V1/Preferences/ListGridLayouts";
    const UpsertGridLayout = "/V1/Preferences/UpsertGridLayout";
    const DeleteGridLayout = "/V1/Preferences/DeleteGridLayout";
}
export declare module PriceListRevisionsV1Urls {
    const CopyRevision = "/V1/PriceListRevisions/CopyRevision";
    const ListInventory = "/V1/PriceListRevisions/ListInventory";
    const ListPartnerResaleBillingInventory = "/V1/PriceListRevisions/ListPartnerResaleBillingInventory";
    const UpdateInventory = "/V1/PriceListRevisions/UpdateInventory";
    const Get = "/V1/PriceListRevisions/Get";
    const List = "/V1/PriceListRevisions/List";
    const Upsert = "/V1/PriceListRevisions/Upsert";
    const DeleteByIds = "/V1/PriceListRevisions/DeleteByIds";
    const Delete = "/V1/PriceListRevisions/Delete";
}
export declare module PriceListsV1Urls {
    const ListRevisions = "/V1/PriceLists/ListRevisions";
    const Get = "/V1/PriceLists/Get";
    const List = "/V1/PriceLists/List";
    const Upsert = "/V1/PriceLists/Upsert";
    const DeleteByIds = "/V1/PriceLists/DeleteByIds";
    const Delete = "/V1/PriceLists/Delete";
}
export declare module ProductCategoriesV1Urls {
    const Get = "/V1/ProductCategories/Get";
    const List = "/V1/ProductCategories/List";
    const Upsert = "/V1/ProductCategories/Upsert";
    const DeleteByIds = "/V1/ProductCategories/DeleteByIds";
    const Delete = "/V1/ProductCategories/Delete";
}
export declare module ProductsV1Urls {
    const ChangesFeed = "/V1/Products/ChangesFeed";
    const GetVersionFromWebUrl = "/V1/Products/GetVersionFromWebUrl";
    const GetVersionFromVendorInfo = "/V1/Products/GetVersionFromVendorInfo";
    const ListVendorIds = "/V1/Products/ListVendorIds";
    const UpdateVendorIds = "/V1/Products/UpdateVendorIds";
    const GetTranslation = "/V1/Products/GetTranslation";
    const UpdateTranslation = "/V1/Products/UpdateTranslation";
    const ListTranslationCategories = "/V1/Products/ListTranslationCategories";
    const UpdateTranslationCategories = "/V1/Products/UpdateTranslationCategories";
    const ListCategories = "/V1/Products/ListCategories";
    const UpdateCategories = "/V1/Products/UpdateCategories";
    const GetProductVersionIdsFromAppInfo = "/V1/Products/GetProductVersionIdsFromAppInfo";
    const ListVersionCommands = "/V1/Products/ListVersionCommands";
    const ListVersionCommandLessons = "/V1/Products/ListVersionCommandLessons";
    const GetProductVersionCommandWithTranslations = "/V1/Products/GetProductVersionCommandWithTranslations";
    const UpsertProductVersionCommandWithTranslations = "/V1/Products/UpsertProductVersionCommandWithTranslations";
    const RemoveProductVersionCommand = "/V1/Products/RemoveProductVersionCommand";
    const ListLessonsByProductVersion = "/V1/Products/ListLessonsByProductVersion";
    const ListLessonsByProductVersionForAddVersion = "/V1/Products/ListLessonsByProductVersionForAddVersion";
    const AddVersion = "/V1/Products/AddVersion";
    const ListCoursesByProductVersion = "/V1/Products/ListCoursesByProductVersion";
    const UpdateVersions = "/V1/Products/UpdateVersions";
    const ListCustomProducts = "/V1/Products/ListCustomProducts";
    const AddProductImageResource = "/V1/Products/AddProductImageResource";
    const RemoveProductImage = "/V1/Products/RemoveProductImage";
    const CreateCustomProduct = "/V1/Products/CreateCustomProduct";
    const ListProductWebAddresses = "/V1/Products/ListProductWebAddresses";
    const UpdateProductWebAddresses = "/V1/Products/UpdateProductWebAddresses";
    const ListActiveProducts = "/V1/Products/ListActiveProducts";
    const ListCoursesByVersion = "/V1/Products/ListCoursesByVersion";
    const ListCoursesByVersionAdmin = "/V1/Products/ListCoursesByVersionAdmin";
    const ListWorkflowsByVersion = "/V1/Products/ListWorkflowsByVersion";
    const GetProductCourse = "/V1/Products/GetProductCourse";
    const GetProductVersionCourse = "/V1/Products/GetProductVersionCourse";
    const GetVersionsAdmin = "/V1/Products/GetVersionsAdmin";
    const GetVersions = "/V1/Products/GetVersions";
    const GetVersionByProductIds = "/V1/Products/GetVersionByProductIds";
    const GetWithLanguage = "/V1/Products/GetWithLanguage";
    const Upsert = "/V1/Products/Upsert";
    const Delete = "/V1/Products/Delete";
    const DeleteByIds = "/V1/Products/DeleteByIds";
    const ListSites = "/V1/Products/ListSites";
    const UpdateSites = "/V1/Products/UpdateSites";
    const Get = "/V1/Products/Get";
    const List = "/V1/Products/List";
}
export declare module ProjectsV1Urls {
    const CreatePrehireAssessment = "/V1/Projects/CreatePrehireAssessment";
    const ListProducts = "/V1/Projects/ListProducts";
    const ListJobs = "/V1/Projects/ListJobs";
    const DeleteJob = "/V1/Projects/DeleteJob";
    const GetJob = "/V1/Projects/GetJob";
    const UpsertJob = "/V1/Projects/UpsertJob";
    const UpdateProducts = "/V1/Projects/UpdateProducts";
    const MatchProjectJobToUsers = "/V1/Projects/MatchProjectJobToUsers";
    const Upsert = "/V1/Projects/Upsert";
    const Delete = "/V1/Projects/Delete";
    const DeleteByIds = "/V1/Projects/DeleteByIds";
    const Get = "/V1/Projects/Get";
    const List = "/V1/Projects/List";
}
export declare module PublicVideosV1Urls {
    const Get = "/V1/PublicVideos/Get";
    const Upsert = "/V1/PublicVideos/Upsert";
    const AddResource = "/V1/PublicVideos/AddResource";
    const RemoveResource = "/V1/PublicVideos/RemoveResource";
    const ListCourses = "/V1/PublicVideos/ListCourses";
    const UpsertCourses = "/V1/PublicVideos/UpsertCourses";
    const ListLessons = "/V1/PublicVideos/ListLessons";
    const ListByCourse = "/V1/PublicVideos/ListByCourse";
    const ListByLesson = "/V1/PublicVideos/ListByLesson";
    const ListByDiscipline = "/V1/PublicVideos/ListByDiscipline";
    const ListByJob = "/V1/PublicVideos/ListByJob";
    const UpsertLessons = "/V1/PublicVideos/UpsertLessons";
    const ListDisciplines = "/V1/PublicVideos/ListDisciplines";
    const UpsertDisciplines = "/V1/PublicVideos/UpsertDisciplines";
    const ListJobs = "/V1/PublicVideos/ListJobs";
    const UpsertJobs = "/V1/PublicVideos/UpsertJobs";
    const GetVideoCaptions = "/V1/PublicVideos/GetVideoCaptions";
    const DeleteVideo = "/V1/PublicVideos/DeleteVideo";
    const DeleteCaption = "/V1/PublicVideos/DeleteCaption";
    const GetTranslation = "/V1/PublicVideos/GetTranslation";
    const GetRelatedVideosByCourses = "/V1/PublicVideos/GetRelatedVideosByCourses";
    const GetRelatedVideosByLessons = "/V1/PublicVideos/GetRelatedVideosByLessons";
    const GetRelatedVideosByDisciplines = "/V1/PublicVideos/GetRelatedVideosByDisciplines";
    const GetRelatedVideosByJobs = "/V1/PublicVideos/GetRelatedVideosByJobs";
    const List = "/V1/PublicVideos/List";
    const DeleteByIds = "/V1/PublicVideos/DeleteByIds";
    const Delete = "/V1/PublicVideos/Delete";
}
export declare module QuestionsV1Urls {
    const AddResource = "/V1/Questions/AddResource";
    const RemoveResource = "/V1/Questions/RemoveResource";
    const ListResourcesByType = "/V1/Questions/ListResourcesByType";
    const ListResources = "/V1/Questions/ListResources";
    const ListAssignees = "/V1/Questions/ListAssignees";
    const UpdateAssignees = "/V1/Questions/UpdateAssignees";
    const GetWorkflowStatus = "/V1/Questions/GetWorkflowStatus";
    const UpdateWorkflowStep = "/V1/Questions/UpdateWorkflowStep";
    const UpdateWorkflowTask = "/V1/Questions/UpdateWorkflowTask";
    const Get = "/V1/Questions/Get";
    const GetTranslation = "/V1/Questions/GetTranslation";
    const UpdateTranslation = "/V1/Questions/UpdateTranslation";
    const DeleteTranslation = "/V1/Questions/DeleteTranslation";
    const ListAnswerPossibleLessons = "/V1/Questions/ListAnswerPossibleLessons";
    const ListLessonsWithTime = "/V1/Questions/ListLessonsWithTime";
    const UpdateLessonsWithTime = "/V1/Questions/UpdateLessonsWithTime";
    const ListAnswerBranchingQuestions = "/V1/Questions/ListAnswerBranchingQuestions";
    const ListAvailableForQuestionBranch = "/V1/Questions/ListAvailableForQuestionBranch";
    const UpdateBranchingQuestions = "/V1/Questions/UpdateBranchingQuestions";
    const ListLessons = "/V1/Questions/ListLessons";
    const UpdateLessons = "/V1/Questions/UpdateLessons";
    const UpdateAnswers = "/V1/Questions/UpdateAnswers";
    const ListByAssessmentId = "/V1/Questions/ListByAssessmentId";
    const AddLesson = "/V1/Questions/AddLesson";
    const HelpQuestionAddLesson = "/V1/Questions/HelpQuestionAddLesson";
    const RemoveLesson = "/V1/Questions/RemoveLesson";
    const HelpQuestionRemoveLesson = "/V1/Questions/HelpQuestionRemoveLesson";
    const ListAvailableForLessonAdd = "/V1/Questions/ListAvailableForLessonAdd";
    const ListAnswerSuggestedLessons = "/V1/Questions/ListAnswerSuggestedLessons";
    const ImportQuestionToOrganization = "/V1/Questions/ImportQuestionToOrganization";
    const ListAvailableForAssessmentAdd = "/V1/Questions/ListAvailableForAssessmentAdd";
    const UpdateAnswerSuggestedLessons = "/V1/Questions/UpdateAnswerSuggestedLessons";
    const PublicListByLessonId = "/V1/Questions/PublicListByLessonId";
    const ListByLessonId = "/V1/Questions/ListByLessonId";
    const ListByLessonIdWithAnswers = "/V1/Questions/ListByLessonIdWithAnswers";
    const ListByLessonIdWithWorkflow = "/V1/Questions/ListByLessonIdWithWorkflow";
    const ListHelpQuestionsByLessonId = "/V1/Questions/ListHelpQuestionsByLessonId";
    const ListHelpQuestions = "/V1/Questions/ListHelpQuestions";
    const Upsert = "/V1/Questions/Upsert";
    const UpsertHelpQuestions = "/V1/Questions/UpsertHelpQuestions";
    const ListOrphanedQuestions = "/V1/Questions/ListOrphanedQuestions";
    const Delete = "/V1/Questions/Delete";
    const DeleteByIds = "/V1/Questions/DeleteByIds";
    const List = "/V1/Questions/List";
}
export declare module ReportsV1Urls {
    const UserActivity = "/V1/Reports/UserActivity";
    const ListReports = "/V1/Reports/ListReports";
    const ActiveUsersByMonth = "/V1/Reports/ActiveUsersByMonth";
    const MostRecentBadges = "/V1/Reports/MostRecentBadges";
    const OrganizationStats = "/V1/Reports/OrganizationStats";
    const GrossMRR = "/V1/Reports/GrossMRR";
    const GrossARR = "/V1/Reports/GrossARR";
    const GrossMRRTrends = "/V1/Reports/GrossMRRTrends";
    const GrossARRTrends = "/V1/Reports/GrossARRTrends";
    const MonthlyChurnTrends = "/V1/Reports/MonthlyChurnTrends";
    const YearlyChurnTrends = "/V1/Reports/YearlyChurnTrends";
    const MonthlyChurnRate = "/V1/Reports/MonthlyChurnRate";
    const YearlyChurnRate = "/V1/Reports/YearlyChurnRate";
    const OrganizationEngagementTrends = "/V1/Reports/OrganizationEngagementTrends";
    const OrganizationSkillsGaps = "/V1/Reports/OrganizationSkillsGaps";
    const OrganizationSkillsGapsAtDate = "/V1/Reports/OrganizationSkillsGapsAtDate";
    const OrganizationMostImprovedEmployees = "/V1/Reports/OrganizationMostImprovedEmployees";
    const OrganizationStrugglingEmployees = "/V1/Reports/OrganizationStrugglingEmployees";
    const OrganizationMostEngaged = "/V1/Reports/OrganizationMostEngaged";
    const OrganizationLeastEngaged = "/V1/Reports/OrganizationLeastEngaged";
    const OrganizationRockStars = "/V1/Reports/OrganizationRockStars";
    const EmployeesAssignedToRoles = "/V1/Reports/EmployeesAssignedToRoles";
    const EmployeesAssignedToGoals = "/V1/Reports/EmployeesAssignedToGoals";
    const EmployeeRoleSummary = "/V1/Reports/EmployeeRoleSummary";
    const EmployeeGoalSummary = "/V1/Reports/EmployeeGoalSummary";
    const EmployeeRoleSummaryFlattened = "/V1/Reports/EmployeeRoleSummaryFlattened";
    const EmployeeGoalSummaryFlattened = "/V1/Reports/EmployeeGoalSummaryFlattened";
    const DownloadGoalData = "/V1/Reports/DownloadGoalData";
    const DownloadRoleData = "/V1/Reports/DownloadRoleData";
    const ScheduleReport = "/V1/Reports/ScheduleReport";
    const GetReportSchedule = "/V1/Reports/GetReportSchedule";
    const ListReportSchedules = "/V1/Reports/ListReportSchedules";
    const TotalInActiveUsersByOrganization = "/V1/Reports/TotalInActiveUsersByOrganization";
    const TotalAssessmentsOverEntitlementPeriod = "/V1/Reports/TotalAssessmentsOverEntitlementPeriod";
    const TotalActiveUsersByOrganization = "/V1/Reports/TotalActiveUsersByOrganization";
    const MostTakenAssessmentsByOrganization = "/V1/Reports/MostTakenAssessmentsByOrganization";
    const MostActiveProductsByOrganization = "/V1/Reports/MostActiveProductsByOrganization";
    const TotalUsersByOrganization = "/V1/Reports/TotalUsersByOrganization";
    const ListTrials = "/V1/Reports/ListTrials";
    const GetPartnerSalesRepInfo = "/V1/Reports/GetPartnerSalesRepInfo";
    const ListPartnerRedeemedTokens = "/V1/Reports/ListPartnerRedeemedTokens";
    const ListBillableInventory = "/V1/Reports/ListBillableInventory";
    const GetUserActivity = "/V1/Reports/GetUserActivity";
    const WorkflowStalledItems = "/V1/Reports/WorkflowStalledItems";
    const WorkflowErrors = "/V1/Reports/WorkflowErrors";
    const WorkflowAgingItems = "/V1/Reports/WorkflowAgingItems";
    const WorkflowTaskChanges = "/V1/Reports/WorkflowTaskChanges";
    const TotalActiveMonthlies = "/V1/Reports/TotalActiveMonthlies";
    const TotalActiveYearlies = "/V1/Reports/TotalActiveYearlies";
    const UsersOnline = "/V1/Reports/UsersOnline";
    const PlatformTotals = "/V1/Reports/PlatformTotals";
    const CourseGlanceReport = "/V1/Reports/CourseGlanceReport";
    const TopPartnersByLeads = "/V1/Reports/TopPartnersByLeads";
    const TopPartnersByDollarsSold = "/V1/Reports/TopPartnersByDollarsSold";
    const TopSales = "/V1/Reports/TopSales";
    const TopOrganizationsByDollarsSold = "/V1/Reports/TopOrganizationsByDollarsSold";
    const UpcomingEnterpriseRenewals = "/V1/Reports/UpcomingEnterpriseRenewals";
    const MostActiveProducts = "/V1/Reports/MostActiveProducts";
    const ListPartnerActivity = "/V1/Reports/ListPartnerActivity";
    const AssessmentUserHistory = "/V1/Reports/AssessmentUserHistory";
    const AssessmentDistributionReport = "/V1/Reports/AssessmentDistributionReport";
    const AssessmentReportCard = "/V1/Reports/AssessmentReportCard";
    const ListProjectLessonViews = "/V1/Reports/ListProjectLessonViews";
    const CourseList = "/V1/Reports/CourseList";
    const DownloadAssessmentData = "/V1/Reports/DownloadAssessmentData";
    const ListLessonActivityDetails = "/V1/Reports/ListLessonActivityDetails";
    const ListUserLessonViews = "/V1/Reports/ListUserLessonViews";
    const ListProjectUserViews = "/V1/Reports/ListProjectUserViews";
    const ListProjectLessonActivity = "/V1/Reports/ListProjectLessonActivity";
    const ListProductVersionViews = "/V1/Reports/ListProductVersionViews";
    const ListProductLessonViews = "/V1/Reports/ListProductLessonViews";
    const ListProductCommandViews = "/V1/Reports/ListProductCommandViews";
    const ListLessonViews = "/V1/Reports/ListLessonViews";
    const ListActivity = "/V1/Reports/ListActivity";
    const ListResourceViews = "/V1/Reports/ListResourceViews";
    const ListGroupViews = "/V1/Reports/ListGroupViews";
    const ListGroupProductViews = "/V1/Reports/ListGroupProductViews";
    const OrganizationUserEntitlements = "/V1/Reports/OrganizationUserEntitlements";
    const OrganizationUsers = "/V1/Reports/OrganizationUsers";
    const ListPartnerTokens = "/V1/Reports/ListPartnerTokens";
    const CourseCompletionByUser = "/V1/Reports/CourseCompletionByUser";
    const CourseCompletionLessonsByUser = "/V1/Reports/CourseCompletionLessonsByUser";
    const MostPopularLessons = "/V1/Reports/MostPopularLessons";
    const SignupsByMonth = "/V1/Reports/SignupsByMonth";
    const SignupsByMonthDetail = "/V1/Reports/SignupsByMonthDetail";
    const TimeSavedAcrossOrganization = "/V1/Reports/TimeSavedAcrossOrganization";
    const SubscriptionsPerInvoice = "/V1/Reports/SubscriptionsPerInvoice";
    const GetBadgeWithUsersAchieved = "/V1/Reports/GetBadgeWithUsersAchieved";
    const GetTestedOutAchievements = "/V1/Reports/GetTestedOutAchievements";
    const CompetenciesAchievedByOrganization = "/V1/Reports/CompetenciesAchievedByOrganization";
}
export declare module ResourcesV1Urls {
    const GetVideoPermissions = "/V1/Resources/GetVideoPermissions";
    const QueueCreateVideoFromResources = "/V1/Resources/QueueCreateVideoFromResources";
    const VideoPublic = "/V1/Resources/VideoPublic";
    const PlaybackPublicVideo = "/V1/Resources/PlaybackPublicVideo";
    const VideoFromLesson = "/V1/Resources/VideoFromLesson";
    const PlaybackVideoFromLesson = "/V1/Resources/PlaybackVideoFromLesson";
    const Video = "/V1/Resources/Video";
    const PlaybackVideo = "/V1/Resources/PlaybackVideo";
    const GetVideoCaptions = "/V1/Resources/GetVideoCaptions";
    const AddCaptionsToVideo = "/V1/Resources/AddCaptionsToVideo";
    const SecondaryVideoPlaybackPlayList = "/V1/Resources/SecondaryVideoPlaybackPlayList";
    const SecondaryVideoCaptionsPlayList = "/V1/Resources/SecondaryVideoCaptionsPlayList";
    const DeleteVideo = "/V1/Resources/DeleteVideo";
    const ImportResource = "/V1/Resources/ImportResource";
    const GetResourcesByParentAndType = "/V1/Resources/GetResourcesByParentAndType";
    const DeleteCaption = "/V1/Resources/DeleteCaption";
    const ListWithParents = "/V1/Resources/ListWithParents";
    const CreateCaptionsFromScript = "/V1/Resources/CreateCaptionsFromScript";
    const AddLink = "/V1/Resources/AddLink";
    const DownloadResource = "/V1/Resources/DownloadResource";
    const GetResourceUrl = "/V1/Resources/GetResourceUrl";
    const GetSyndicatedResourceUrl = "/V1/Resources/GetSyndicatedResourceUrl";
    const GetSyndicatedVideoTokenUrl = "/V1/Resources/GetSyndicatedVideoTokenUrl";
    const LogResourceView = "/V1/Resources/LogResourceView";
    const Get = "/V1/Resources/Get";
    const Upsert = "/V1/Resources/Upsert";
    const List = "/V1/Resources/List";
    const DeleteByIds = "/V1/Resources/DeleteByIds";
    const Delete = "/V1/Resources/Delete";
}
export declare module SalesTaxesV1Urls {
    const List = "/V1/SalesTaxes/List";
    const ListProviders = "/V1/SalesTaxes/ListProviders";
    const Upsert = "/V1/SalesTaxes/Upsert";
    const Delete = "/V1/SalesTaxes/Delete";
    const DeleteByIds = "/V1/SalesTaxes/DeleteByIds";
    const ListSalesTaxExemptionsByContact = "/V1/SalesTaxes/ListSalesTaxExemptionsByContact";
    const ListSalesTaxExemptions = "/V1/SalesTaxes/ListSalesTaxExemptions";
    const RequestCertificateAccessToken = "/V1/SalesTaxes/RequestCertificateAccessToken";
    const GetSalesTaxExemption = "/V1/SalesTaxes/GetSalesTaxExemption";
    const UpdateSalesTaxExemption = "/V1/SalesTaxes/UpdateSalesTaxExemption";
    const RequestSalesTaxExemption = "/V1/SalesTaxes/RequestSalesTaxExemption";
    const AcceptSalesTaxExemptionRequest = "/V1/SalesTaxes/AcceptSalesTaxExemptionRequest";
    const RejectSalesTaxExemptionRequest = "/V1/SalesTaxes/RejectSalesTaxExemptionRequest";
    const RemoveSalesTaxExemptionRequest = "/V1/SalesTaxes/RemoveSalesTaxExemptionRequest";
    const Get = "/V1/SalesTaxes/Get";
}
export declare module SearchV1Urls {
    const QuickSearch = "/V1/Search/QuickSearch";
    const SearchLessons = "/V1/Search/SearchLessons";
    const SearchLessonsByProductCodes = "/V1/Search/SearchLessonsByProductCodes";
    const SearchQuestionsTest = "/V1/Search/SearchQuestionsTest";
}
export declare module ShippingMethodsV1Urls {
    const Get = "/V1/ShippingMethods/Get";
    const List = "/V1/ShippingMethods/List";
    const Upsert = "/V1/ShippingMethods/Upsert";
    const DeleteByIds = "/V1/ShippingMethods/DeleteByIds";
    const Delete = "/V1/ShippingMethods/Delete";
}
export declare module SitesV1Urls {
    const Get = "/V1/Sites/Get";
    const List = "/V1/Sites/List";
    const Upsert = "/V1/Sites/Upsert";
    const DeleteByIds = "/V1/Sites/DeleteByIds";
    const Delete = "/V1/Sites/Delete";
}
export declare module SupportV1Urls {
    const ListQuestions = "/V1/Support/ListQuestions";
    const ListQuestionsByAnswer = "/V1/Support/ListQuestionsByAnswer";
    const UpdateAnswerQuestions = "/V1/Support/UpdateAnswerQuestions";
    const Get = "/V1/Support/Get";
    const List = "/V1/Support/List";
    const Upsert = "/V1/Support/Upsert";
    const DeleteByIds = "/V1/Support/DeleteByIds";
    const Delete = "/V1/Support/Delete";
}
export declare module SyndicationProvidersV1Urls {
    const ListImplementations = "/V1/SyndicationProviders/ListImplementations";
    const UpdateImplementations = "/V1/SyndicationProviders/UpdateImplementations";
    const Get = "/V1/SyndicationProviders/Get";
    const List = "/V1/SyndicationProviders/List";
    const Upsert = "/V1/SyndicationProviders/Upsert";
    const DeleteByIds = "/V1/SyndicationProviders/DeleteByIds";
    const Delete = "/V1/SyndicationProviders/Delete";
}
export declare module SystemV1Urls {
    const ListSystemSettings = "/V1/System/ListSystemSettings";
    const ListEmailDomainBlackLists = "/V1/System/ListEmailDomainBlackLists";
    const AddEmailDomainBlack = "/V1/System/AddEmailDomainBlack";
    const DeleteEmailDomainBlack = "/V1/System/DeleteEmailDomainBlack";
    const ListEduDomains = "/V1/System/ListEduDomains";
    const UpdateEduDomains = "/V1/System/UpdateEduDomains";
    const CreateAudience = "/V1/System/CreateAudience";
    const RegenerateAudienceKey = "/V1/System/RegenerateAudienceKey";
    const DeleteAudience = "/V1/System/DeleteAudience";
    const ListAudiences = "/V1/System/ListAudiences";
    const ListClients = "/V1/System/ListClients";
    const DeleteClient = "/V1/System/DeleteClient";
    const UpsertClient = "/V1/System/UpsertClient";
    const ChangeClientSecret = "/V1/System/ChangeClientSecret";
    const GetLatestClientVersion = "/V1/System/GetLatestClientVersion";
    const ListMergeFields = "/V1/System/ListMergeFields";
    const ListEmailTemplates = "/V1/System/ListEmailTemplates";
    const GetDefaultEmailTemplate = "/V1/System/GetDefaultEmailTemplate";
    const UpdateEmailTemplates = "/V1/System/UpdateEmailTemplates";
    const Ping = "/V1/System/Ping";
    const PostPing = "/V1/System/PostPing";
    const GetTermsOfServiceDate = "/V1/System/GetTermsOfServiceDate";
    const UpdateSystemSettings = "/V1/System/UpdateSystemSettings";
    const BroadcastSystemMessage = "/V1/System/BroadcastSystemMessage";
    const ReportError = "/V1/System/ReportError";
    const GetPageTranslation = "/V1/System/GetPageTranslation";
    const UpdatePageTranslation = "/V1/System/UpdatePageTranslation";
    const GetPageTranslationLanguages = "/V1/System/GetPageTranslationLanguages";
    const CopyFromPage = "/V1/System/CopyFromPage";
    const DeletePageLanguage = "/V1/System/DeletePageLanguage";
    const ImportExcelLanguagesDummy = "/V1/System/ImportExcelLanguagesDummy";
    const SeverSharepointLinks = "/V1/System/SeverSharepointLinks";
}
export declare module TokensV1Urls {
    const Cancel = "/V1/Tokens/Cancel";
    const Redeem = "/V1/Tokens/Redeem";
    const ListByOrganizationId = "/V1/Tokens/ListByOrganizationId";
    const ListByRedeemedById = "/V1/Tokens/ListByRedeemedById";
    const Upsert = "/V1/Tokens/Upsert";
    const Delete = "/V1/Tokens/Delete";
    const DeleteByIds = "/V1/Tokens/DeleteByIds";
    const Get = "/V1/Tokens/Get";
    const List = "/V1/Tokens/List";
}
export declare module TopicsV1Urls {
    const AddResource = "/V1/Topics/AddResource";
    const RemoveResource = "/V1/Topics/RemoveResource";
    const ListResourcesByTypeAdmin = "/V1/Topics/ListResourcesByTypeAdmin";
    const ListResources = "/V1/Topics/ListResources";
    const GetWorkflowStatus = "/V1/Topics/GetWorkflowStatus";
    const SetEditingStatus = "/V1/Topics/SetEditingStatus";
    const UpdateWorkflowStep = "/V1/Topics/UpdateWorkflowStep";
    const UpdateWorkflowTask = "/V1/Topics/UpdateWorkflowTask";
    const ListAssignees = "/V1/Topics/ListAssignees";
    const UpdateAssignees = "/V1/Topics/UpdateAssignees";
    const ListItemsByTopicId = "/V1/Topics/ListItemsByTopicId";
    const GetTranslation = "/V1/Topics/GetTranslation";
    const UpdateTranslation = "/V1/Topics/UpdateTranslation";
    const DeleteTranslation = "/V1/Topics/DeleteTranslation";
    const GetStructureForEditing = "/V1/Topics/GetStructureForEditing";
    const UpdateTopicStructure = "/V1/Topics/UpdateTopicStructure";
    const ListLessonQuestions = "/V1/Topics/ListLessonQuestions";
    const EditIntroduction = "/V1/Topics/EditIntroduction";
    const EditConclusion = "/V1/Topics/EditConclusion";
    const GetAdmin = "/V1/Topics/GetAdmin";
    const CreateLesson = "/V1/Topics/CreateLesson";
    const ListSyndicatedLessons = "/V1/Topics/ListSyndicatedLessons";
    const ListSyndications = "/V1/Topics/ListSyndications";
    const UpdateSyndications = "/V1/Topics/UpdateSyndications";
    const ListSyndicationProviders = "/V1/Topics/ListSyndicationProviders";
    const UpdateSyndicationProviders = "/V1/Topics/UpdateSyndicationProviders";
    const CreateCustomTopic = "/V1/Topics/CreateCustomTopic";
    const Upsert = "/V1/Topics/Upsert";
    const Delete = "/V1/Topics/Delete";
    const DeleteByIds = "/V1/Topics/DeleteByIds";
    const PublishTopic = "/V1/Topics/PublishTopic";
    const ListProjectManagementTasks = "/V1/Topics/ListProjectManagementTasks";
    const Get = "/V1/Topics/Get";
    const List = "/V1/Topics/List";
}
export declare module UsersV1Urls {
    const CreateDataRequest = "/V1/Users/CreateDataRequest";
    const ApproveDataRequest = "/V1/Users/ApproveDataRequest";
    const RejectDataRequest = "/V1/Users/RejectDataRequest";
    const DeleteDataRequest = "/V1/Users/DeleteDataRequest";
    const GetUserDataRequestsWithDocuments = "/V1/Users/GetUserDataRequestsWithDocuments";
    const GetUserDataRequestWithDocuments = "/V1/Users/GetUserDataRequestWithDocuments";
    const ListUserDataRequests = "/V1/Users/ListUserDataRequests";
    const AttachActivityToUserRequest = "/V1/Users/AttachActivityToUserRequest";
    const RemoveUserRequestDocument = "/V1/Users/RemoveUserRequestDocument";
    const AddResourceToUserDataRequest = "/V1/Users/AddResourceToUserDataRequest";
    const DownloadUserRequestDocument = "/V1/Users/DownloadUserRequestDocument";
    const SetDisciplines = "/V1/Users/SetDisciplines";
    const UpsertDiscipline = "/V1/Users/UpsertDiscipline";
    const RemoveDiscipline = "/V1/Users/RemoveDiscipline";
    const RemoveJob = "/V1/Users/RemoveJob";
    const ListSelectedUserDisciplines = "/V1/Users/ListSelectedUserDisciplines";
    const GetEarnedGamificationAwards = "/V1/Users/GetEarnedGamificationAwards";
    const AchievementsReady = "/V1/Users/AchievementsReady";
    const JobStatus = "/V1/Users/JobStatus";
    const ProgressStats = "/V1/Users/ProgressStats";
    const Progress = "/V1/Users/Progress";
    const GetLearningPath = "/V1/Users/GetLearningPath";
    const YourPath = "/V1/Users/YourPath";
    const GetDisciplineAverageScores = "/V1/Users/GetDisciplineAverageScores";
    const GetJobAverageScores = "/V1/Users/GetJobAverageScores";
    const WhatsNext = "/V1/Users/WhatsNext";
    const SetOrganization = "/V1/Users/SetOrganization";
    const ListPermissions = "/V1/Users/ListPermissions";
    const ListOrganizations = "/V1/Users/ListOrganizations";
    const GetOrganizationalMessage = "/V1/Users/GetOrganizationalMessage";
    const InsertOrUpdateUserAndOrganizationDetails = "/V1/Users/InsertOrUpdateUserAndOrganizationDetails";
    const UpsertUserAndOrganizationDetails = "/V1/Users/UpsertUserAndOrganizationDetails";
    const ClearSSOLogins = "/V1/Users/ClearSSOLogins";
    const InsertOrUpdateUserAndOrganizationDetailsWithOrganization = "/V1/Users/InsertOrUpdateUserAndOrganizationDetailsWithOrganization";
    const UpsertUserAndOrganizationDetailsWithOrganization = "/V1/Users/UpsertUserAndOrganizationDetailsWithOrganization";
    const GetUserAndOrganizationDetailsWithOrganization = "/V1/Users/GetUserAndOrganizationDetailsWithOrganization";
    const ListByOrganizationId = "/V1/Users/ListByOrganizationId";
    const GetProspectOrgUserDetails = "/V1/Users/GetProspectOrgUserDetails";
    const ListPermissionRequests = "/V1/Users/ListPermissionRequests";
    const ResumePreHireAssessment = "/V1/Users/ResumePreHireAssessment";
    const CompleteAssessmentInvite = "/V1/Users/CompleteAssessmentInvite";
    const GetUsersByRolesAndOrganization = "/V1/Users/GetUsersByRolesAndOrganization";
    const SubmitConversationQuestionAnswer = "/V1/Users/SubmitConversationQuestionAnswer";
    const GetConversation = "/V1/Users/GetConversation";
    const ListReports = "/V1/Users/ListReports";
    const ListCustomReports = "/V1/Users/ListCustomReports";
    const GetReport = "/V1/Users/GetReport";
    const GetSavedReport = "/V1/Users/GetSavedReport";
    const GetCustomReport = "/V1/Users/GetCustomReport";
    const UpsertReport = "/V1/Users/UpsertReport";
    const DeleteReportById = "/V1/Users/DeleteReportById";
    const RequestAccess = "/V1/Users/RequestAccess";
    const RequestResetPassword = "/V1/Users/RequestResetPassword";
    const ResetPassword = "/V1/Users/ResetPassword";
    const VerifyRequestAccess = "/V1/Users/VerifyRequestAccess";
    const RequestVerifyEduWithCode = "/V1/Users/RequestVerifyEduWithCode";
    const AddEduSubscriptionToUser = "/V1/Users/AddEduSubscriptionToUser";
    const AddTrialToUser = "/V1/Users/AddTrialToUser";
    const AddSubscriptionToUser = "/V1/Users/AddSubscriptionToUser";
    const AddEduSubscriptionPaymentToUser = "/V1/Users/AddEduSubscriptionPaymentToUser";
    const AddSubscriptionTokenToUser = "/V1/Users/AddSubscriptionTokenToUser";
    const AdminList = "/V1/Users/AdminList";
    const AdminGet = "/V1/Users/AdminGet";
    const AdminUpsert = "/V1/Users/AdminUpsert";
    const RequestLessonRights = "/V1/Users/RequestLessonRights";
    const AdminSendEmail = "/V1/Users/AdminSendEmail";
    const ListJobs = "/V1/Users/ListJobs";
    const UpdateJobs = "/V1/Users/UpdateJobs";
    const UpsertJob = "/V1/Users/UpsertJob";
    const ListUserRoles = "/V1/Users/ListUserRoles";
    const AssignRolesToUser = "/V1/Users/AssignRolesToUser";
    const GetUnclaimedQuestions = "/V1/Users/GetUnclaimedQuestions";
    const GetCurrentAssignments = "/V1/Users/GetCurrentAssignments";
    const GetSMEContractorAssignments = "/V1/Users/GetSMEContractorAssignments";
    const ListCoursesInProcess = "/V1/Users/ListCoursesInProcess";
    const ListCMSRecentActivity = "/V1/Users/ListCMSRecentActivity";
    const ReportTranslationError = "/V1/Users/ReportTranslationError";
    const ListTranslationErrors = "/V1/Users/ListTranslationErrors";
    const RemoveTranslationError = "/V1/Users/RemoveTranslationError";
    const ChangePassword = "/V1/Users/ChangePassword";
    const ListUserProductPreferences = "/V1/Users/ListUserProductPreferences";
    const UpdateProductVersionCoursePreferences = "/V1/Users/UpdateProductVersionCoursePreferences";
    const ListPaymentCredentials = "/V1/Users/ListPaymentCredentials";
    const ListEmailPreferences = "/V1/Users/ListEmailPreferences";
    const UpdateEmailPreferences = "/V1/Users/UpdateEmailPreferences";
    const GetUserAndOrganizationDetails = "/V1/Users/GetUserAndOrganizationDetails";
    const AdminChangePassword = "/V1/Users/AdminChangePassword";
    const AdminResetPassword = "/V1/Users/AdminResetPassword";
    const ListProspectContacts = "/V1/Users/ListProspectContacts";
    const InsertOrUpdateUserAndProspectUserDetails = "/V1/Users/InsertOrUpdateUserAndProspectUserDetails";
    const UpsertUserAndProspectUserDetails = "/V1/Users/UpsertUserAndProspectUserDetails";
    const HasUserHadTrial = "/V1/Users/HasUserHadTrial";
    const SetLanguage = "/V1/Users/SetLanguage";
    const SetProject = "/V1/Users/SetProject";
    const UpdateAvailability = "/V1/Users/UpdateAvailability";
    const GetProductVersionOwnership = "/V1/Users/GetProductVersionOwnership";
    const UpdateProductVersionCoursePreference = "/V1/Users/UpdateProductVersionCoursePreference";
    const GetExpiredUserEntitlements = "/V1/Users/GetExpiredUserEntitlements";
    const GetPublicSuggestedProducts = "/V1/Users/GetPublicSuggestedProducts";
    const GetSuggestedContent = "/V1/Users/GetSuggestedContent";
    const GetSuggestedProducts = "/V1/Users/GetSuggestedProducts";
    const GetSuggestedProductsAdmin = "/V1/Users/GetSuggestedProductsAdmin";
    const ListProjects = "/V1/Users/ListProjects";
    const GetRecentActivity = "/V1/Users/GetRecentActivity";
    const CheckForNotifications = "/V1/Users/CheckForNotifications";
    const AcceptTerms = "/V1/Users/AcceptTerms";
    const HasAcceptedTerms = "/V1/Users/HasAcceptedTerms";
    const GetCommandContentCount = "/V1/Users/GetCommandContentCount";
    const ReportPage = "/V1/Users/ReportPage";
    const ReportPageCommand = "/V1/Users/ReportPageCommand";
    const ReportCommand = "/V1/Users/ReportCommand";
    const GetUserByName = "/V1/Users/GetUserByName";
    const ListAddresses = "/V1/Users/ListAddresses";
    const UpdateAddresses = "/V1/Users/UpdateAddresses";
    const RemoveByEncryption = "/V1/Users/RemoveByEncryption";
    const GetRecommendedLessons = "/V1/Users/GetRecommendedLessons";
    const NewContentSinceLastSeen = "/V1/Users/NewContentSinceLastSeen";
    const Get = "/V1/Users/Get";
    const List = "/V1/Users/List";
    const Upsert = "/V1/Users/Upsert";
    const DeleteByIds = "/V1/Users/DeleteByIds";
    const Delete = "/V1/Users/Delete";
}
export declare module WorkflowsV1Urls {
    const UpdateTranslationAssignees = "/V1/Workflows/UpdateTranslationAssignees";
    const ListAssignees = "/V1/Workflows/ListAssignees";
    const ListHistoryByItem = "/V1/Workflows/ListHistoryByItem";
    const GetTaskStatus = "/V1/Workflows/GetTaskStatus";
    const GetWorkloadByUser = "/V1/Workflows/GetWorkloadByUser";
    const ListWorkflowSteps = "/V1/Workflows/ListWorkflowSteps";
}
//# sourceMappingURL=urls.d.ts.map